// PalObjectListener.java
//
// (c) 1999-2001 PAL Development Core Team
//
// This package may be distributed under the
// terms of the Lesser GNU General Public License (LGPL)

package pal.misc;

/**
 * Defines objects that monitor certain PalObjects for changes
 *
 * @version $Id: PalObjectListener.java,v 1.1 2001/10/10 07:50:02 matt Exp $
 *
 * @author Matthew Goode
 */


public interface PalObjectListener {
	/** Signifies that parametric valued governing the state of this Object have changed.
	 *  Parameters don't have to be visible ones
	 *  For example, in trees the branch lengths have changed.
	 */
	void parametersChanged(PalObjectEvent pe);
	/** Signifies that the structure of the object has changed (for example in trees to topology
	 *  has changed)
	 */
	void structureChanged(PalObjectEvent pe);
}